rte_eth_dcb_tc_queue_mapping(3)

NAME
rte_eth_dcb_tc_queue_mapping

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

struct {
} tc_rxq [RTE_ETH_MAX_VMDQ_POOL][RTE_ETH_DCB_NUM_TCS]
struct {
} tc_txq [RTE_ETH_MAX_VMDQ_POOL][RTE_ETH_DCB_NUM_TCS]

Detailed Description

A structure used to get the information of queue and TC mapping on both Tx and Rx paths.

Definition at line 2006 of file rte_ethdev.h.

Field Documentation

  struct { ... } tc_rxq[RTE_ETH_MAX_VMDQ_POOL][RTE_ETH_DCB_NUM_TCS]
Rx queues assigned to tc per Pool

  struct { ... } tc_txq[RTE_ETH_MAX_VMDQ_POOL][RTE_ETH_DCB_NUM_TCS]
Rx queues assigned to tc per Pool

Author

Generated automatically by Doxygen for DPDK from the source code.